/* GLOBALS */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    /* SETTING COLORS PALLETE v1 */
    --main-color: #0b5bd4;
    --secondary-color: #E0A458;
    --third-color: #C0E0DE;
    --forth-color: #2462a5;
    --section-break-color: #f1f1f1;

    /* SETTING GLOBAL VARIABLES */
    --font-color: #555;
    --font-size: 20px;
    --mobile-font-size-1140: 18px;
    --mobile-font-size-720: 16px;
    --mobile-font-size-380: 15px;

    /* GLOBAL OPTIONS */

    font-family: 'Open Sans', 'sans-serif', 'Arial';
    font-size: var(--font-size);
    font-weight: 300;
    line-height: 145%;
    color: var(--font-color);

    box-sizing: border-box;
    overflow-x: hidden;
    margin: 0;
    padding: 0;
}

body {
    position: relative;
    max-width: 100vw;
    min-height: 100vh;
    height: auto;

    overflow: hidden;
}

/* REUSABLE STYLES */
section {
    padding-bottom: 50px;
    padding-top: 50px;
    background-color: #fff;
}

section:last-of-type {
    padding-bottom: 80px;
}

.row {
    max-width: 1140px;
    margin: 0 auto;
}

.section-header {
    position: relative;
    font-size: 150%;
    font-weight: 500;
    text-align: center;
    margin: 0 auto;
    margin-bottom: 60px;
    line-height: 145%;
}

h1 {
    margin: 0;
}

/* HEADER STYLES */
header {
    position: relative;
    width: 100%;
}

.baner-h1 {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 50px;
    color: #fff;
    font-weight: 400;
    font-size: 250%;
    line-height: 1.5em;
    padding-left: 30px;
}

.header-bg {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-image: linear-gradient(rgba(0,0,0,0.6),rgba(0,0,0,0.6)), url(/resources/img/index_bg.jpeg);
    background-position: center;
    background-size: cover;

    z-index: -1;
}

/* NAVIGATION STYLES */
nav {
    position: fixed;
    height: 60px;
    width: 100%;
    margin: 0;

    
    z-index: 10;
}

.nav-bg {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: transparent;
    transition: background-color 0.4s, height 0.4s;
    display: block;
    content: "";
    z-index: -1;
    opacity: 0.9;
    -webkit-transition: background-color 0.4s, height 0.4s;
    -moz-transition: background-color 0.4s, height 0.4s;
    -ms-transition: background-color 0.4s, height 0.4s;
    -o-transition: background-color 0.4s, height 0.4s;
}

nav ul {
    position: relative;
    list-style: none;
    height: 100%;
    max-width: 100%;
    margin: 0;
    padding: 0 40px;

    display: flex;
    align-items: start;
    justify-content: end;
}

nav ul li {
    list-style: none;
    margin-left: 40px;
    height: 100%;

    display: flex;
    justify-content: stretch;
    align-items: stretch;
}

.nav-logo {
    position: absolute;
    top: -20px;
    left: 40px;
    height: 220px;
    transition: all 0.5s;
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
}

.nav-logo-scroll {
    height: 90px;
    top: -13px;
    left: 60px;
}

.nav-btn:link,
.nav-btn:visited,
.nav-btn:hover,
.nav-btn:active {
    position: relative;
    text-decoration: none;
    font-size: 110%;
    font-weight: 500;
    padding: 15px 0;
    transition: all 0.3s;
    overflow-y: hidden;
    -webkit-transition: all 0.3s;
    -moz-transition: all 0.3s;
    -ms-transition: all 0.3s;
    -o-transition: all 0.3s;
}

.nav-btn:link span,
.nav-btn:visited span,
.nav-btn:hover span,
.nav-btn:active span {
    display: block;
    transition: margin 0.3s;
}

.nav-btn:link,
.nav-btn:visited {
    color: #fff;
}

.nav-btn:hover,
.nav-btn:active {
    color: var(--secondary-color);
}

.nav-btn-current:link,
.nav-btn-current:visited,
.nav-btn-current:hover,
.nav-btn-current:active {
    color: var(--secondary-color);
}

.nav-btn:link ion-icon,
.nav-btn:visited ion-icon,
.nav-btn:hover ion-icon,
.nav-btn:active ion-icon {
    position: absolute;
    top: -40px;
    font-size: 90%;
    display: block;
    width: 100%;
    text-align: center;
    color: var(--secondary-color);

    transition: all 0.3s;
}

.icon-visib:link span,
.icon-visib:visited span,
.icon-visib:hover span,
.icon-visib:active span {
    margin-top: 10px;
}

.icon-visib:link ion-icon,
.icon-visib:visited ion-icon,
.icon-visib:hover ion-icon,
.icon-visib:active ion-icon {
   top: 8px;
}

/* STYLING MOBILE NAV BUTTON */
#show-hide-nav,
#show-hide-nav:hover,
#show-hide-nav:active {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 40px;
    display: none;
    font-size: 230%;
    color: #fff;
    border: none;
    background-color: transparent;
    cursor: pointer;
    z-index: 1000;
}

#show-hide-nav ion-icon,
#show-hide-nav:hover ion-icon,
#show-hide-nav:active ion-icon {
    height: 100%;
}

/* FOOTER */
footer {
    background-color: var(--forth-color);
}

.footer-flex {
    display: flex;
    
    height: 100%;
    align-items: center;
}

.google-map {
    height: 500px;
    background-color: #555;
}

.google-map iframe {
    width: 100%;
    height: 100%;
    opacity: 0.9;
}

.contact-info {
    color: #fff;
    padding: 40px 0;
    text-align: center;
}

.footer-contact:link,
.footer-contact:visited,
.footer-contact:hover,
.footer-contact:active {
    margin-bottom: 40px;

    font-weight: 400;
    font-size: 160%;
    text-decoration: none;
    
    padding: 15px 30px;
    background-color: #fff;
    color: #555;
    width: fit-content;
    border-radius: 25px;
}

.footer-contact:link ion-icon,
.footer-contact:visited ion-icon,
.footer-contact:hover ion-icon,
.footer-contact:active ion-icon {
    font-size: 80%;
    margin-top: -2px;
    transition: margin 0.3s;
}

.footer-contact:link ion-icon,
.footer-contact:visited ion-icon {
    margin-left: 10px;
}

.footer-contact:hover ion-icon,
.footer-contact:active ion-icon {
    margin-left: 30px;
}

.copyright {
    text-align: center;
    padding: 10px 0;
    background-color: #333;
    color: #fff;
    font-size: 70%;
    font-weight: 300;
}

@media only screen and (max-width: 1140px) {
    html {
        font-size:var(--mobile-font-size-1140);
    }
    /* REUSABLE STYLES */
    .row {
        max-width: 90%;
        margin: 0 5%;
    }

    .section-header {
        font-size: 180%;
        margin-bottom: 60px;
    }

    /* NAVIGATION */
    nav {
        height: 120px;
    }

    nav ul {
        justify-content: flex-start;
        align-items: flex-end;
        flex-direction: column;
        width: 100%;
        height: 200px;
        padding: 0 100px;
        transition: transform 0.4s;
        transform: translateY(-100%);
    }

    nav ul li {
        height: 50px;
    }

    .nav-logo {
        height: 150px;
        top: calc(100% - 10px);
    }

    .nav-logo-scroll {
        height: 150px;
        left: 40px;
    }

    #show-hide-nav,
    #show-hide-nav:hover,
    #show-hide-nav:active {
        display: block;
    }

    .nav-btn:link span,
    .nav-btn:visited span,
    .nav-btn:hover span,
    .nav-btn:active span {
        text-transform: uppercase;
    }

    .icon-visib:link span,
    .icon-visib:visited span,
    .icon-visib:hover span,
    .icon-visib:active span {
        margin-top: 0;
    }

    .icon-visib:link ion-icon,
    .icon-visib:visited ion-icon,
    .icon-visib:hover ion-icon,
    .icon-visib:active ion-icon {
        top: -40px;
    }
}

@media only screen and (max-width: 720px) {
    html {
        font-size:var(--mobile-font-size-720);
    }
    /* REUSABLE STYLES */
    .section-header {
        margin-bottom: 50px;
    }

    /* NAVIGATION */
    .nav-logo, .nav-logo-scroll {
        left: 15px;
        height: 120px;
        top: 100%;
    }
}

@media only screen and (max-width: 380px) {
    html {
        font-size:var(--mobile-font-size-380);
    }
    /* REUSABLE STYLES */
    .section-header {
        margin-bottom: 40px;
    }

    /* NAVIGATION */
    .nav-btn:link,
    .nav-btn:visited,
    .nav-btn:hover,
    .nav-btn:active {
        font-size: 90%;
        font-weight: 700;
    }

    /* FOOTER */
    .footer-contact:link,
    .footer-contact:visited,
    .footer-contact:hover,
    .footer-contact:active {
        font-size: 130%;
    }
}